###############################
# TEST function lineage_dist.R
# to plot lineage
# dist plots with or without facet
##############################
getwd()
setwd("~/git/LSHTM_analysis/scripts/plotting/")
getwd()

source("~/git/LSHTM_analysis/scripts/Header_TT.R")

source("get_plotting_dfs.R")

cat("cols imported:"
    , mcsm_red2, mcsm_red1, mcsm_mid, mcsm_blue1, mcsm_blue2)


#############################################################
# without facet
lineage_distP(lin_dist_plot
              , with_facet = F
              , leg_label = "Mutation Class"
)

# without facet
lineage_distP(lin_dist_plot
              , with_facet = T
              , facet_wrap_var = "mutation_info_labels"
              , leg_label = "Mutation Class"
              , leg_pos_wf = "none"
              , leg_dir_wf = "horizontal"
              
)